aboutsummaryrefslogtreecommitdiffstats
path: root/meta-ivi/conf/distro/poky-ivi-systemd.conf
diff options
context:
space:
mode:
authorHolger Behrens <holger.behrens@windriver.com>2014-11-04 18:02:18 +0100
committerHolger Behrens <holger.behrens@windriver.com>2014-11-18 16:41:01 +0100
commit21679bfb3b4821effd4b1238c914bdf183749ad0 (patch)
tree523d95073d7bbc726b52826331e07e1eb0a21ebf /meta-ivi/conf/distro/poky-ivi-systemd.conf
parent90cae449b7b2126a5f0402d9059d99d118c16f66 (diff)
downloadmeta-ivi-21679bfb3b4821effd4b1238c914bdf183749ad0.tar.gz
meta-ivi-21679bfb3b4821effd4b1238c914bdf183749ad0.tar.bz2
meta-ivi-21679bfb3b4821effd4b1238c914bdf183749ad0.zip
poky-ivi-systemd: prefer gstreamer 1.4.x over 1.2.3
Prefer GST version 1.4.x (from oe-core) over version 1.2.3. The version 1.2.3 gstreamer1.0 recipes were added to meta-ivi to enable vendor still stuck on that version. Also to work around YP 1.7.0 bug 6930 do prefer readline version 5.2. Signed-off-by: Holger Behrens <holger.behrens@windriver.com>
Diffstat (limited to 'meta-ivi/conf/distro/poky-ivi-systemd.conf')
-rw-r--r--meta-ivi/conf/distro/poky-ivi-systemd.conf11
1 files changed, 11 insertions, 0 deletions
diff --git a/meta-ivi/conf/distro/poky-ivi-systemd.conf b/meta-ivi/conf/distro/poky-ivi-systemd.conf
index d843e7d..4ecd91c 100644
--- a/meta-ivi/conf/distro/poky-ivi-systemd.conf
+++ b/meta-ivi/conf/distro/poky-ivi-systemd.conf
@@ -25,6 +25,17 @@ PREFERRED_VERSION_linux-yocto_qemux86-64 ?= "3.14%"
PREFERRED_VERSION_linux-yocto_qemuarm ?= "3.14%"
PREFERRED_VERSION_linux-yocto_vexpressa9 ?= "3.14%"
+### later versions are GPLv3+
+# YP 1.7.0 BUG 6930
+PREFERRED_VERSION_readline ?= "5.2"
+
+# prefer gstreamer 1.4.x over 1.2.3
+PREFERRED_VERSION_gstreamer1.0 ?= "1.4.%"
+PREFERRED_VERSION_gstreamer1.0-plugins-bad ?= "1.4.%"
+PREFERRED_VERSION_gstreamer1.0-plugins-base ?= "1.4.%"
+PREFERRED_VERSION_gstreamer1.0-plugins-good ?= "1.4.%"
+PREFERRED_VERSION_gstreamer1.0-plugins-ugly ?= "1.4.%"
+
POKYQEMUDEPS = "${@bb.utils.contains("INCOMPATIBLE_LICENSE", "GPLv3", "", "packagegroup-core-device-devel",d)}"
DISTRO_EXTRA_RDEPENDS_append_qemuarm = " ${POKYQEMUDEPS}"
DISTRO_EXTRA_RDEPENDS_append_qemux86 = " ${POKYQEMUDEPS}"